Script SQL
// creazione e distruzione database
create db EsBD0516 [alias Eserc1];
drop db EsBD0516;

// connessione e disconnessione database
connect to EsBD0516;
disconnect EsBD0516;

// creazione delle tabelle
drop table Fornitori;
create table Fornitori (CodiceFornitore varchar(20) not null primary key,
	Nome varchar(20), Citta varchar(20), Indirizzo varchar(20));

drop table Prodotti;
create table Prodotti(CodiceProdotto varchar(20) not null primary key, 
	Nome varchar(20), Marca varchar(20), Modello varchar(20));

drop table Catalogo;
create table Catalogo(CodiceProdotto varchar(20) not null, 
	CodiceFornitore varchar(20) not null, 
	primary key (CodiceFornitore,CodiceProdotto), 
	Costo integer, 
	foreign key (CodiceProdotto) references Prodotti(CodiceProdotto), 
	foreign key (CodiceFornitore) references Fornitori(CodiceFornitore));
Script SQL
// popolazione delle tabelle
insert into Fornitori values ('001', 'Ladroni', 'Roma', 'via Ostiense');
//variante della insert in db2: pi tuple con una istruzione
insert into Fornitori values 
('002', 'Risparmietti', 'Roma', 'viale Marconi'),
('010', 'Teloporto', 'Milano', 'via Roma');

insert into Prodotti values 
('0001', 'Notebook', 'IBM', '390x'),
('0002', 'Desktop', 'IBM', '510'),
('0003', 'Desktop', 'ACER', '730');

insert into Catalogo values ('0002', '001', 3200);
insert into Catalogo values 
('0003', '001', 2200),
('0001', '002', 1900),
('0002', '002', 2500),
('0003', '002', 1800),
('0001', '010', 2200),
('0003', '010', 2000);
